> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Departments

> Fetch Departments



## OpenAPI

````yaml get /v1/departments
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/departments:
    get:
      tags:
        - Department
      summary: List Departments
      description: Fetch Departments
      parameters:
        - name: created_after
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Departments created after a DateTime (ISO 8601).
        - name: created_before
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Departments created before a DateTime (ISO 8601).
        - name: updated_after
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Departments updated after a DateTime (ISO 8601).
        - name: updated_before
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Departments updated before a DateTime (ISO 8601).
        - name: page
          in: query
          required: false
          description: The current page
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: Number of results retrieved per page.
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/departments_paged_object'
        '401':
          description: Unauthorized
      security:
        - bearer: []
components:
  schemas:
    departments_paged_object:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/meta_object'
        results:
          type: array
          items:
            $ref: '#/components/schemas/department'
    meta_object:
      type: object
      properties:
        count:
          type: integer
        current_page:
          type: integer
        next_page_link:
          type: string
          nullable: true
        per_page:
          type: integer
          default: 20
          maximum: 200
        previous_page_link:
          type: string
          nullable: true
        total:
          type: integer
    department:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Department
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Department name
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````